<!--- 
The contents of this file are subject to the Mozilla Public License Version 1.1
(the "License"); you may not use this file except in compliance with the
License. You may obtain a copy of the License at http://www.mozilla.org/MPL/

Software distributed under the License is distributed on an "AS IS" basis,
WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
the specific language governing rights and limitations under the License.

The Original Code is comprised of the pt_forum directory

The Initial Developer of the Original Code is
PaperThin, Inc. Copyright(C) 2010.
All Rights Reserved.

By downloading, modifying, distributing, using and/or accessing any files 
in this directory, you agree to the terms and conditions of the applicable 
end user license agreement.
--->

<!---
/* ***************************************************************
/*
Author: 	
	PaperThin, Inc.
	G. Cronkright 
Custom Field Type:
	Forums User Select Fiel
Name:
	forums_user_select_field_props.cfm
Summary:
	User select field to select the users for the id and name values.
	Added Properties to set the field name value, default field value, and field visibility.
ADF Requirements:
	CEData_1_0
	CSData_1_0
	Scripts_1_0
App Requirements:	
	forumsUserDAO
History:
	2009-07-06 - MFC - Created
	2010-03-24 - GAC - Converted to User Select from CE Select
--->
<cfscript>
	// initialize some of the attributes variables
	typeid = attributes.typeid;
	prefix = attributes.prefix;
	formname = attributes.formname;
	currentValues = attributes.currentValues;
	
	if( not structKeyExists(currentValues, "excludedDataCustomElement") )
		currentValues.excludedDataCustomElement = "";
	if( not structKeyExists(currentValues, "excludedDataField") )
		currentValues.excludedDataField = "";
	if( not structKeyExists(currentValues, "valueField") )
		currentValues.valueField = "";
	if( not structKeyExists(currentValues, "displayField") )
		currentValues.displayField = "";
	if( not structKeyExists(currentValues, "renderField") )
		currentValues.renderField = "No";
	if( not structKeyExists(currentValues, "defaultVal") )
		currentValues.defaultVal = "";
	if( not structKeyExists(currentValues, "fldName") )
		currentValues.fldName = "";
	if( not structKeyExists(currentValues, "forceScripts") )
		currentValues.forceScripts = "0";
</cfscript>
<cfoutput>
<script type="text/javascript">
	fieldProperties['#typeid#'].paramFields = "#prefix#excludedDataCustomElement,#prefix#excludedDataField,#prefix#valueField,#prefix#valueField,#prefix#displayField,#prefix#renderField,#prefix#defaultVal,#prefix#fldName,#prefix#forceScripts";
	//fieldProperties['#typeid#'].paramFields = "#prefix#customElement,#prefix#valueField,#prefix#displayField,#prefix#renderField,#prefix#defaultVal,#prefix#fldName,#prefix#forceScripts";
	// allows this field to support the orange icon (copy down to label from field name)
	fieldProperties['#typeid#'].jsLabelUpdater = '#prefix#doLabel';
	// allows this field to have a common onSubmit Validator
	//fieldProperties['#typeid#'].jsValidator = '#prefix#doValidate';
	// handling the copy label function
	function #prefix#doLabel(str)
	{
		document.#formname#.#prefix#label.value = str;
	}

</script>

<table>
	<tr>
		<td class="cs_dlgLabelSmall">Select Value Field:</td>
		<td class="cs_dlgLabelSmall">
			<input type="text" name="#prefix#valueField" id="#prefix#valueField" value="#currentValues.valueField#" size="40">
		</td>
	</tr>
	<tr>
		<td class="cs_dlgLabelSmall">Select Display Field:</td>
		<td class="cs_dlgLabelSmall">
			<input type="text" name="#prefix#displayField" id="#prefix#displayField" value="#currentValues.displayField#" size="40">
		</td>
	</tr>
	<tr>
		<td><br /></td>
	</tr>
	<tr>
		<td class="cs_dlgLabelSmall">Field Name:</td>
		<td class="cs_dlgLabelSmall">
			<input type="text" name="#prefix#fldName" id="#prefix#fldName" value="#currentValues.fldName#" size="40">
			<br/><span>Please enter the field name to be used via JavaScript (case sensitive).  If blank, will use default name.</span>
		</td>
	</tr>
	<tr>
		<td class="cs_dlgLabelSmall">Field Display Type:</td>
		<td class="cs_dlgLabelSmall">
			<input type="radio" name="#prefix#renderField" id="#prefix#renderField" value="yes" <cfif currentValues.renderField eq 'yes'>checked</cfif>>Visible
			<input type="radio" name="#prefix#renderField" id="#prefix#renderField" value="no" <cfif currentValues.renderField eq 'no'>checked</cfif>>Hidden
		</td>
	</tr>
	<tr>
		<td class="cs_dlgLabelSmall">Default Field Value:</td>
		<td class="cs_dlgLabelSmall">
			<input type="text" name="#prefix#defaultVal" id="#prefix#defaultVal" value="#currentValues.defaultVal#" size="40">
		</td>
	</tr>
	<tr>
		<td class="cs_dlgLabelSmall">Force Loading Scripts:</td>
		<td class="cs_dlgLabelSmall">
				Yes <input type="radio" id="#prefix#forceScripts" name="#prefix#forceScripts" value="1" <cfif currentValues.forceScripts EQ "1">checked</cfif>>&nbsp;&nbsp;&nbsp;
				No <input type="radio" id="#prefix#forceScripts" name="#prefix#forceScripts" value="0" <cfif currentValues.forceScripts EQ "0">checked</cfif>><br />
				Force the JQuery script to load.
		</td>
	</tr>
	<tr>
		<td class="cs_dlgLabelSmall" colspan="2">
			<br><br><span>The two fields below are optional, leave them both blank to display all records.</span>
		</td>
	</tr>
	<!--- query to get the Custom Element List --->
	<cfset customElements = server.ADF.objectFactory.getBean("cedata_1_0").getAllCustomElements()>
	<tr>
		<td class="cs_dlgLabelSmall">Exclude Data Custom Element:</td>
		<td class="cs_dlgLabelSmall">
			<select id="#prefix#excludedDataCustomElement" name="#prefix#excludedDataCustomElement" size="1">
				<option value="" selected> - Select - </option>
				<cfloop query="customElements">
					<option value="#FormName#" <cfif currentValues.excludedDataCustomElement EQ FormName>selected</cfif>>#FormName#</option>
				</cfloop>
			</select>
			<!--- <input type="text" name="#prefix#customElement" id="#prefix#customElement" value="#currentValues.customElement#" size="40"> --->
			<br><span>Select a custom element to use to exclude entries from the drop down list.</span>
		</td>
	</tr>
	<tr>
		<td class="cs_dlgLabelSmall">Exclude Data Field:</td>
		<td class="cs_dlgLabelSmall">
			<input type="text" name="#prefix#excludedDataField" id="#prefix#excludedDataField" value="#currentValues.excludedDataField#" size="40">
			<br><span>Enter the field name from the custom element above to exclude entries from the drop down list.</span>
		</td>
	</tr>	
</table>
</cfoutput>